%global svn_ver 20121021

Name:           osm2pgsql
Version:        0.70.5
Release:        0.9.%{svn_ver}svn%{?dist}
Summary:        Imports map data from OpenStreetMap to a PostgreSQL database

Group:          Applications/Internet
License:        GPLv2+
URL:            http://wiki.openstreetmap.org/wiki/Osm2pgsql
# Source tarball from svn respository made with osm2pgsql-svn.sh
Source0:        %{name}-%{svn_ver}svn.tar.bz2
Source1:        %{name}-svn.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  protobuf-c-devel
BuildRequires:  geos-devel
BuildRequires:  libxml2-devel
BuildRequires:  postgresql-devel
BuildRequires:  bzip2-devel
BuildRequires:  proj-devel

%description
Processes the planet file from the community mapping project at
http://www.openstreetmap.org. The map data is converted from XML to a
database stored in PostgreSQL with PostGIS geospatial extensions. This
database may then be used to render maps with Mapnik or for other
geospatial analysis.

%prep
%setup -q -n %{name}
# Added svn checkout to version details
sed -i 's|%{version}|%{version}-%{svn_ver}|g' configure.ac

%build
./autogen.sh
%configure --disable-static
make all %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
# Install the man page from Debian
install -Dp -m 0644 %{_builddir}/%{name}/debian/%{name}.1 \
    %{buildroot}%{_mandir}/man1/%{name}.1
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%{_mandir}/man*/*.1*
%{_bindir}/%{name}
%{_bindir}/nodecachefilereader
%{_datadir}/%{name}/

%changelog
* Sun Oct 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.9.20121021svn
- Updated to new svn checkout from 2012-10-21
- gazetteer was removed
- nodecachefilereader included
- Minor changes

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.8.20120413svn
- Patch to remove gazetteer stuff reworked 
- Updated to new upstream version 20120413 (Rev. 28284)

* Mon Mar 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.7.20120319svn
- Updated to new upstream version 20120319 (Rev. 28116)

* Sat Sep 10 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.6.20110910svn
- Updated to new upstream version 20110910 (Rev. 26638)

* Sat Jul 02 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.5.20110702svn
- Added new BRs
- Updated existing patch acc. the details in #510073

* Sat Jun 25 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.4.20110327svn
- Fix autotool issue (osm2pgsql-configure.patch updated)

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.3.20110327svn
- Build with svn checkout detail as version information
- Remove gazetteer stuff, Patch for configure.ac and Makefile.am 
- Updated to new checkout

* Tue Nov 23 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.2.20101124svn
- Typo fixed in summary
- Prefix removed 
- Doc updated
- Replaced define

* Wed Aug 18 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0-0.1.20100821svn
- Initial package for Fedora
